Light Image Resizer, handy tool to resize or convert photo formats (including RAW)
Web site: http://www.obviousidea.com 
Previously known as VSO Image Resizer

Light Image Resizer - 7.6.1.165 - 2026-03-25
============================================
NEW:
* search box in screenshot list (right-click or F3), supports Advanced Query Syntax if folder is indexed (Light Image Editor)

FIXED:
* question dialogs may not have worked correctly
* existing comment displayed in AI Vision even if title was selected when navigating files

IMPROVED:
* always display full interface for AI Vision to select the field (comment or title)

Light Image Resizer - 7.6.0.159 - 2026-03-10
============================================
NEW:
* added OpenRouter service for AI Vision
* added Gemini 3.1 Flash Lite Preview model
* added Gemini 3.1 Flash Image Preview model (Light Image Editor)
* added OpenAI GPT-5.4 model
* added an option to select into which metadata field the AI result should be written (comment or title)

FIXED:
* using mouse wheel over some controls could cause the interface to freeze
* AI model may not have been selected from profile correctly

IMPROVED:
* display average speed when AI Vision processing is enabled
* display character count for AI result (Light Image Editor)

Light Image Resizer - 7.5.1.151 - 2026-02-10
============================================
FIXED:
* selected AI model may not have been loaded correctly from a profile

IMPROVED:
* update interface to show previous comment when re-processing in AI Vision
* check for valid .lirprofile when importing via double-click

Light Image Resizer - 7.5.1.147 - 2026-02-04
============================================
FIXED:
* metadata may not have been copied when both source and destination was WebP
* stability issues when outputting large batches as WebP
* outputting a large number of JPEG XL (JXL) could exhaust system resources and lead to memory issues
* comment overwrite dialog may have been displayed even though no comment was present
* AI Vision comment may not have been written in some cases
* error "invalid source format" when format is set to "same as original" and source is AVIF
* cancelling an overwrite prompt could result in a deadlock

IMPROVED:
* cancelling AI Vision processing should be faster now
* updated libwebp to version 1.6.0

Light Image Resizer - 7.5.0.142 - 2025-12-22
============================================
NEW:
* added OpenAI GPT-5.1, GPT-5.2 models
* added Gemini 2.5 Pro, Gemini 3 Pro Preview, Gemini 3 Flash Preview models

FIXED:
* DPI value was not set correctly when saving screenshot as JPEG (Light Image Editor)
* small offset when taking screenshot of a window (Light Image Editor)
* settings may not have been synchronized correctly in some cases (Light Image Editor)
* layers were not merged when submitting to Vision AI (Light Image Editor)
* access violation when using right-click menu to copy an AI input image to the clipboard (Light Image Editor)
* output image may have been sheared when format was set to JPEG XL
* message "Error fetching Ollama models" could appear on startup (Light Image Editor)

IMPROVED:
* resampling quality has been improved for certain cases when downsizing very large images
* add light tray icon for dark system theme (Light Image Editor)

Light Image Resizer - 7.4.0.129 - 2025-10-10
============================================
NEW:
* AI Image Generation/Editing tool (Beta) (Light Image Editor)

FIXED:
* line breaks in AI prompt were not correctly saved in profiles
* CMYK color profile may have been copied despite the respective ICC option was disabled

IMPROVED:
* copy EXIF, ICC from HEIC when converting to JPEG

Light Image Resizer - 7.3.0.120 - 2025-08-18
============================================
NEW:
* AI Vision (Beta) can now be used to generate image descriptions and store them as file comments
* added new OpenAI GPT-5 models
* Insert button for text fields to insert image metadata like filename, comment, etc. (Light Image Editor)
* option for thumbnail size in screenshot list (Light Image Editor)
* print option in screenshot list context menu (Light Image Editor)
* Comment window to see and edit the file comment (Light Image Editor)

FIXED:
* direction (clockwise/counter-clockwise) was swapped when using the Rotate feature
* wildcard state (one dimension set to auto) may not have been set correctly when switching profiles
* files could be written twice (causing overwrite prompt) when outputting separate PDFs with OCR
* error message parsing in Vision AI for Gemini (Light Image Editor)
* selection could jump to top when right-clicking in empty area of screenshot list (Light Image Editor)

IMPROVED:
* DPI option can now be set up to 1200 DPI
* Ollama API config will now use the base URL (Light Image Editor)
* only show relevant options in context menu for screenshot list (Light Image Editor)

Light Image Resizer - 7.2.1.106 - 2025-05-21
============================================
NEW:
* Ollama support added for AI Vision (Light Image Editor)
* markdown support for AI Vision result (Light Image Editor)
* behavior in case of existing comment can be selected for AI Vision auto mode (Light Image Editor)

FIXED:
* XMP was not copied for some JPEGs

Light Image Resizer - 7.2.0.101 - 2025-05-05
============================================
FIXED:
* update download could fail in some cases

Light Image Resizer - 7.2.0.100 - 2025-04-25
============================================
NEW:
* AI Vision Beta to describe images (Light Image Editor)

FIXED:
* some portrait images were incorrectly saved with width and height swapped
* some text in the updater was not localized
* opening the Editor via image list context menu could fail if the path contained spaces

Light Image Resizer - 7.2.0.82 - 2025-02-28
===========================================
NEW:
* new versions can now be downloaded and installed right from the update notification
* LIR profile files now have an icon and can be opened to import them
* add Aspect ratio selection for Crop (Light Image Editor)

FIXED:
* for empty file dates the watermark text showed "01/01/1980" instead of "N/A"
* loading of preview could fail when creating PDF with OCR enabled
* collage preview not refreshing when changing size
* save button was disabled after changing collage options
* notice about missing HEVC extension may have been shown in some cases even if it was installed

IMPROVED:
* better progress display when converting a PDF with multiple pages to images

Light Image Resizer - 7.1.3.73 - 2025-01-16
===========================================
NEW:
* add basic copy and paste by right-click on image (Light Image Editor)
* text outline width can be set for text layers (Light Image Editor)

FIXED:
* throttling on large output was too aggressive and could lead to slow processing
* trying to load a WebP in the watermark dialog could cause the application to lock up 
* image orientation could be wrong when creating a PDF from photos
* processing TIFF with large Photoshop data could lead to out of memory error
* font size control was losing focus when entering a value (Light Image Editor)
* mouse cursor not visible on dark elements during screenshot capture (Light Image Editor)
* screen capture coordinates could be wrong with certain multi-monitor configurations (Light Image Editor)

IMPROVED:
* add more font sizes to dropdown list (Light Image Editor)
* prevent blending of text properties window when dropdown is active

Light Image Resizer - 7.1.2.64 - 2024-11-25
===========================================
FIXED:
* upgrade flow was broken

Light Image Resizer - 7.1.2.63 - 2024-11-21
===========================================
NEW:
* show total file size of all source images in the list (top right)

FIXED:
* thumbnail loading for certain HEIC files could lock up and lead to issues during processing
* buy URL could contain invalid slashes in certain cases

Light Image Resizer - 7.1.1.60 - 2024-11-19
===========================================
FIXED:
* calculating width or height automatically was not possible due to a logic issue
* resetting profiles to default via settings could cause an error in certain cases
* black output when converting certain images to JPEG XR
* exception when saving settings with no Windows OCR languages available (Light Image Editor)
* access violation could occur when creating screenshot after monitor count changed (Light Image Editor)

IMPROVED:
* update clipboard when saving a screenshot and copy to clipboard option enabled

Light Image Resizer - 7.1.0.58 - 2024-11-05
===========================================
NEW:
* AVIF write support via plugin
* JPEG XL support (read and write)

FIXED:
* collage thumbnail list cropped when using high DPI
* collage preview not updated when using custom layout

IMPROVED:
* use "1K JPEG" as default profile on fresh installations
* change resize policy and quality options for better efficiency for some profiles (1K JPEG, 2K JPEG, 3K JPEG)

Light Image Resizer - 7.0.9.54 - 2024-10-28
===========================================
NEW:
* options to reduce before crop based on width or height
* Bulgarian translation

FIXED:
* orientation of original image in preview window could be wrong
* Apple iPhone 16 DNG with JPEG XL did not load
* EXIF metadata may still have been copied in certain cases even if the option was unchecked
* crash if selection in screenshot list was changed when copying image to clipboard (Light Image Editor)
* sometimes only the thumbnail was copied when using "Copy image" from screenshot list (Light Image Editor)

IMPROVED:
* remember last used watermark path
* attempt to close Light Image Editor when uninstalling
* if Color is set to Automatic, change JPEG color space if necessary (i.e. to set DPI value)
* disable DPI option when JPEG RGB output is selected, as it does not support this property
* updated Italian translation

Light Image Resizer - 7.0.9.47 - 2024-10-07
===========================================
IMPROVED:
* better trial experience, reduce interruption
* updated Korean translation

FIXED:
* access violation when loading WebP
* orientation for Fuji RAW (.RAF) could be wrong
* preview could fail for HEIC images if output format was set to original
* crop not working after blur is added (Light Image Editor)

Light Image Resizer - 7.0.8.45 - 2024-10-04
===========================================
NEW:
* add WebP format for saving (Light Image Editor)
* Czech, Finnish, Korean, and Swedish translations (Light Image Editor)

IMPROVED:
* adjust text border width relative to font size (Light Image Editor)
* better performance for blur layer (Light Image Editor)
* increase default height of dropdown for Stickers and Shapes (Light Image Editor)

FIXED:
* DPI value not updated correctly for JPEG
* screenshots would not auto save when OCR was enabled with Tesseract engine (Light Image Editor)
* text or other objects would still appear outside the background image if cropped (Light Image Editor)
* toolbar button captions could be truncated in some cases (Light Image Editor)

Light Image Resizer - 7.0.7.42 - 2024-09-24
===========================================
NEW:
* Chinese, Japanese, Portuguese, and Ukrainian translations (Light Image Editor)

FIXED:
* loading of image could fail if path name contained an archive extension (like .zip or .7z)
* filename could be truncated if it contained dots when saving (Light Image Editor)
* in some cases it was not possible to increase the font size in text properties (Light Image Editor)

IMPROVED:
* text properties optimized for high DPI (Light Image Editor)

Light Image Resizer - 7.0.6.41 - 2024-09-20
===========================================
NEW:
* Dutch, Polish, Spanish, and Italian translation for Light Image Editor

FIXED:
* crash in Editor when applying effect to non-image layer
* error about outdated library could occur during installation

IMPROVED:
* text fields can now be aligned in Light Image Editor

Light Image Resizer - 7.0.5.40 - 2024-09-17
===========================================
NEW:
* localization support for Light Image Editor

FIXED:
* crash on launch could occur on older versions of Windows

Light Image Resizer - 7.0.3.35 - 2024-09-06
===========================================
NEW:
* includes Light Image Editor with features like adding text, highlight, blur, shapes, and much more
* profiles are now stored as individual files in Documents\ObviousIdea\Light Image Resizer\Profiles
* context menu integration for Windows 11
* option to split long images to several pages for Create PDF action (see PDF tab)
* HEIC output format
* lossless compression option for WebP output
* EXIF metadata support for WebP (reading and writing)
* incremental search in profile list by typing initial letters
* watermark text tags for original file size, extension, and dimensions
* "Append" option for text fields in metadata properties

FIXED:
* current session may not have been included when manually saving log before processing
* crash on some grayscale images if show preview was enabled
* word wrapping in watermark text could add unnecessary line breaks
* watermark text could disappear with relative font scaling if word wrap was disabled
* some user fonts may not have been rendered correctly in watermark text
* some profiles could get duplicated in certain cases

IMPROVED:
* output formats are now ordered by popularity (JPEG, PNG, WebP, etc.)
* show loading indicator with option to cancel when adding lots of files
* WebP compression can now also be chosen by a desired output size


Light Image Resizer - 6.2.0.0 - 2024-02-22
==========================================
FIXED:
* processing could get stuck when adding watermark for very large images with certain EXIF orientations
* dimensions displayed in log could be swapped for images with EXIF orientation
* resizing icon files (.ICO) could fail depending on the selected dimensions
* XMP metadata in certain JPEG files might not have been detected
* changing the background color with remove.bg did not work in preview

IMPROVED:
* optimizations for handling ultra high resolution images
* better performance when adding watermark or border for EXIF orientations other than top-left
* remove unknown metadata properties if XMP packet is too large for JPEG

Light Image Resizer - 6.1.9.0 - 2023-11-08
==========================================
FIXED:
* color profile could be incorrectly applied to embedded JPEG thumbnail in some cases
* command line parameter /OptimizeJpeg was not working
* slow thumbnail loading could interfere with processing, causing load errors
* manual crop could crash when loading very large images

IMPROVED:
* updated libwebp to version 1.3.2 (addressing CVE-2023-4863)

Light Image Resizer - 6.1.8.0 - 2023-09-12
==========================================
FIXED:
* "Adjust resolution for portrait" was not working for some portrait images with EXIF metadata
* displayed PDF paper sizes in centimeter were not rounded correctly
* orientation data may have been removed when customizing metadata leading to incorrect orientation
* wrong font may have been used when choosing some 3rd party fonts for watermark text
* output could be empty in rare cases when JPEG optimization failed for very large files

IMPROVED:
* processing should now be faster for large outputs when a maximum file size is set

Light Image Resizer - 6.1.7.0 - 2023-05-11
==========================================
NEW:
* add support for JPEG XR
* smart watermark text variable for oldest and newest date (evaluating EXIF, IPTC and file dates)

FIXED:
* preview was showing an error if image was skipped due to selected policy
* minor interface glitches on Windows 11
* orientation issues with some Camera RAW photos
* output from CR3 files was garbled black and white in some cases
* generated filename could be wrong when there was a name conflict and "Split into parts" was enabled
* changing border options did not refresh preview
* pressing TAB key to navigate in metadata dialog could lead to a crash in some cases
* file extension was not considered when sorting, resulting in a different order than in Explorer
* output format was not respected when resize policy was set to else skip
* preview thumbnail could be displayed with wrong orientation during processing

IMPROVED:
* copy EXIF from CR3 when converting to JPEG
* internal handling of some formats
* updated libraries (IENv12)

Light Image Resizer - 6.1.6.0 - 2022-12-15
==========================================
FIXED:
* out of memory issue when saving large multi-page TIFF
* wrong dimensions could be applied for portrait images
* some log messages were not correctly formatted
* some RAW images could be distorted

IMPROVED:
* limit threads when processing multiple raw files

Light Image Resizer - 6.1.5.0 - 2022-11-07
==========================================
FIXED:
* Canon CR3 files could load with wrong orientation
* orientation could be wrong in some cases when converting JPEG to other formats
* wrong orientation for TIFF files with EXIF data
* interface glitches on some systems with Windows 7

Light Image Resizer - 6.1.4.0 - 2022-09-28
==========================================
FIXED:
* saving in WebP format could fail due to missing system DLL
* "Adjust resolution for portrait" was broken for images containing EXIF metadata
* alpha channel (transparency) was lost when saving in Targa (.tga) format
* JPEG images in RGB format could load with wrong colors

IMPROVED:
* faster loading for watermark preview
* add hint for filenames in preview window if too long to display

Light Image Resizer - 6.1.3.0 - 2022-07-13
==========================================
IMPROVED:
* increase limit for compression size
* updated detection for OS version and edition
* improved support for terminal server

FIXED:
* Light Image Resizer was not available in context menu for JFIF files

Light Image Resizer - 6.1.2.0 - 2022-04-27
==========================================
FIXED:
* a wrong (shifted) file date could be set in some cases when "Keep original file date" was checked
* watermark or border could appear at the wrong position for some images (depending on their EXIF orientation)

Light Image Resizer - 6.1.1.0 - 2022-02-21
==========================================
IMPROVED:
* apply compatible properties to IPTC and XMP when customizing metadata
* prevent main window from appearing quickly when run with /minimized parameter

FIXED:
* displayed saved space was wrong for files that were just copied without processing
* some image formats other than JPEG were fully processed even if not neccessary (due to original size)
* color profile was not applied when updating EXIF thumbnail
* application could hang under some conditions when using both /minimized and /run parameter

Light Image Resizer - 6.1.0.0 - 2021-12-08
==========================================
NEW:
* add filename mask variables for original filename in upper case (%FUP) and lower case (%FLO)

IMPROVED:
* load "fried" PNG (non-standard format used by iOS)

FIXED:
* crash could occur on some systems when processing multiple files due to synchronization issue
* relative folder path was not working from command line
* backup of overwritten file could fail if input and output format were different (i.e. PNG to JPG)

Light Image Resizer - 6.0.9.0 - 2021-09-29
==========================================
NEW:
* added command line parameters: Size, KeepQuality, Progressive

IMPROVED:
* default to LZW compression for TIFF to avoid out of memory issues
* better reliability for update check
* add notice for AVIF files if codec is missing

FIXED:
* original image could have wrong orientation in preview
* wrong dimensions could be applied to image depending on its EXIF orientation
* a crash could occur when using Center mode and padding was applied

Light Image Resizer - 6.0.8.1 - 2021-08-24
==========================================
FIXED:
* profile could be empty in some cases
* some images could have a wrong orientation in preview
* processing could hang in some cases if multithreading was disabled

Light Image Resizer - 6.0.8.0 - 2021-08-23
==========================================
NEW:
* add read support for Scalable Vector Graphics (SVG) files

IMPROVED:
* support local UNC paths in filelist

FIXED:
* "The handle is invalid" error could occur when using Center mode
* out of memory could occur when loading very large interlaced PNG files
* large JPEGs with EXIF orientation other than 1 (top left) could lead to endless processing
* unlock prompt could appear with missing email if license data was stored for all users
* ICC color profile could get damaged in rare cases on certain system locales
* action was always reset to its default (create copies) when set via command line parameter

Light Image Resizer - 6.0.7.0 - 2021-05-05
==========================================
NEW:
* output filename tag %F-Date for original file date

FIXED:
* processing large multi-page TIFF files could lead to crash
* memory leak when cancelling process with multi-page files
* processing could crash due to potential double free error
* saving manual crop could crash if lossless mode was toggled before
* WebP loading failed if there was no codec (i.e. Windows 7)
* loading of file info (date) could fail for very long paths
* time zone issue with file date for watermark tags depending on locale
* deadlock if EXIF tag used in filename mask or watermark text was returning very long text

IMPROVED:
* tabs for PDF and GIF options are highlighted now

Light Image Resizer - 6.0.6.0 - 2021-02-15
==========================================
FIXED:
* some resize policy options were broken, which could result in some images being inadvertently resized
* when undoing a lossless crop, the save button was not always disabled, which could lead to a crash when clicked

Light Image Resizer - 6.0.5.0 - 2020-12-08
==========================================
FIXED:
* certain malformed or damaged TIFF files could cause the application to crash
* watermark text position was not saved correctly
* Crop mode was missing background color selector (used for images smaller than target dimensions)
* corrected some mistakes in contextual help

Light Image Resizer - 6.0.4.0 - 2020-11-02
==========================================
NEW:
* policy options added to skip files which are smaller/larger than target dimensions

FIXED:
* processing could hang when aborting from a warning prompt (for example warning about bad quality)
* unable to create a collage when "Recreate folder structure on destination" was enabled
* preview form was not closed when switching to collage mode
* wrong filename could be shown in log when choosing to rename already existing file
* collage was misaligned when using slash layouts

Light Image Resizer - 6.0.3.0 - 2020-07-23
==========================================
NEW:
* watermark can now use both image and text at the same time

FIXED:
* high memory consumption when adding lots of files, which could lead to out of memory issues
* no appropriate error was reported in some cases when disk was full
* output from certain source formats (like JPEG2000) could be empty in some cases
* metadata was not copied when source file was PSD
* metadata tags with UTF-8 encoding were not correctly decoded when used in watermark text
* memory corruption could occur in some cases when handling EXIF metadata
* IPTC tags in watermark text could just display "N/A" when IPTC was disabled in Misc tab (not copied to output)
* drag & drop from some older (non-Unicode) applications was not working

IMPROVED:
* log can now be scrolled without having focus

Light Image Resizer - 6.0.2.0 - 2020-06-10
==========================================
NEW:
* support for reading Canon .cr3 raw files

FIXED:
* clicking cancel during processing and then continuing could lead to a crash
* undoing a manual crop did not disable the save button, which could cause a crash when clicked
* context help was broken for some controls
* mouse scrolling in help window worked only if it had focus
* screen width & height were not updated when resizing animated GIFs, leading to enlarged background

IMPROVED:
* validate remove.bg API key when entering
* clearer message for errors during background removal
* when undoing a manual crop, the crop selection is now displayed again automatically
* use LZW compression for TIFF output when converting from other formats
* log proper error in case dimensions are too large for output format

Light Image Resizer - 6.0.1.0 - 2020-03-03
==========================================
FIXED:
* manual crop crashed in some cases when saving
* division by zero when size is set too small
* collage preview was not correct for sizes smaller than 1000
* sometimes preview was not loading on first try
* preview was not showing split lines when using split in parts option for transparent images

IMPROVED:
* when doing a manual crop the thumbnail in the list is now updated
* changed collage size in preview will apply to dimensions in main window
* when adding HEIC files and a required codec is missing a notice is shown

Light Image Resizer - 6.0.0.24 - 2020-01-06
===========================================
NEW:
* background can now be filled with a color when using background removal

FIXED:
* dimensions could not be set to values smaller than 1.00 in/cm when Mode was set to Stretch
* potential deadlock when processing is cancelled
* deadlock when cancelling overwrite prompt
* wrong dimensions could be output when processing certain raw files
* out of memory issue when outputting files with huge dimensions

Light Image Resizer - 6.0.0.20 - 2019-11-21
===========================================
FIXED:
* remove.bg link was not clickable
* some dialogs were not scaled to DPI correctly

Light Image Resizer - 6.0.0.18 - 2019-11-07
===========================================
FIXED:
* load fallback for Fuji raw files (.RAF) from newer cameras did not work
* installer was unable to close the application while update form was showing

Light Image Resizer - 6.0.0.16 - 2019-10-22
===========================================
NEW:
* added option "Expand image to background size" for background removal

FIXED:
* loading of WebP images could fail on systems without codec
* there could be duplicates when using "Save as" and choosing to overwrite an existing profile
* background could be scaled incorrectly with remove.bg, not filling the image
* effects were applied before removing background, which could lead to unexpected results
* background removal options were not checked before preview
* fit to window was not applied if preview was reloaded with different dimensions


Light Image Resizer - 6.0.0.14 - 2019-10-10
===========================================
FIXED:
* message "Please enter a valid resolution" could appear when leaving one dimension empty (wildcard)
* some settings were not kept when changing collage preview
* drag & drop to collage form was not working
* animated GIF could produce empty output
* background removal only used preview size

IMPROVED:
* don't stretch images larger than original size by default when fitting to window


Light Image Resizer - 6.0.0.11 - 2019-10-01
===========================================
NEW:
* added mode "Extend to square" which adds blurred content to make the image rectangular
* added action to create animated GIF from input files
* rename action to just rename files without changing image contents
* more layout templates for collage
* drop target area to easily add files by drag & drop (can be enabled in settings)
* manual crop by right-clicking an image in the list
* images in listview can be re-ordered manually by dragging
* dynamic watermark text color (image's average color or complementary color)
* round edges option (see Effects)
* Background removal powered by remove.bg (see respective tab)
* added output format "Icon (.ico)"
* background color for preview window can be changed via right-click menu
* select which metadata values to keep or remove, text based values can also be replaced
* auto-detect width and height when creating new profile with dimensions in name (like "Photos 800x600")
* JPEG compression can be optimized to create smaller files (see Optimization tab)
* colors can now be entered as HTML color values (for background or watermark text colors)
* default action for close button when processing has finished can be changed (see Settings, Process tab)
* save as for profiles (via "..." icon), to save current changes under different name

FIXED:
* preview is not updated when replacement color is changed in settings
* embedded thumbnails were not updated when copying metadata
* crash or error when resizing 1bit image and output is PDF
* relative paths for collage filename did not work
* unit could be set to something else than pixels for collage in some cases
* preview for collage was showing normal preview after collage window, which could lead to crashes
* custom format for %CreationDate% and %ModificationDate% watermark tags was not working
* error could occur when trying to backup raw files with action set to "Replace original"

IMPROVED:
* images are now kept untouched if size is set to 100% and no other effects are applied
* workaround for some 3rd party shell extensions where files could not be loaded by drag & drop
* combined PDF creation is way faster now using multi-threading
* changes to image list in collage window are now reflected in main image list
* accept path with filename for /Dest parameter and set output format accordingly
* command line switch "/OptionsPage" can be used to go to options page
* a folder can now be dropped on the destination box to insert its path
* support for EXIF date tags located in wrong IFD section for watermark text (some Samsung devices)
* keep zoomed view rectangle when updating preview
